package services

import (
	"fmt"
	"github.com/rdlucklib/rdluck_tools/http"
	"net/url"
)

const (
	RefreshUrl = "http://127.0.0.1:7007/mysteel_chemical/refresh"
)

func MysteelChemicalRefresh(filePath string) {
	var refreshUrl string
	filePathStr:=url.PathEscape(filePath)
	refreshUrl = RefreshUrl + "?FilePath=" + filePathStr
	fmt.Println("MysteelChemicalRefresh URL:"+refreshUrl)
	body, err := http.Get(refreshUrl)
	if err != nil {
		fmt.Println("MysteelChemicalRefresh Err:" + err.Error())
		return
	}
	fmt.Println("MysteelChemicalRefresh Result:" + string(body))
}
